summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorJaroslav Lichtblau2014-11-28 20:17:14 +0100
committerJaroslav Lichtblau2014-11-28 20:17:14 +0100
commit0750746690c758c3b0cb19461545fa9ae09f1425 (patch)
tree06f624d015297f196414cbca6559651def59c441 /PKGBUILD
downloadaur-0750746690c758c3b0cb19461545fa9ae09f1425.tar.gz
Initial PKGBUILD status as of 28.11.2014
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..86a00dc85d0
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Jaroslav Lichtblau <dragonlord@aur.archlinux.org>
+# Contributor: Jeremy Cowgar <jeremy@cowgar.com>
+
+pkgname=aft
+pkgver=5.098
+pkgrel=1
+pkgdesc="Almost Free Text: a document preparation system, mostly free from intrusive markup"
+arch=('any')
+url="http://www.maplefish.com/todd/aft.html"
+license='custom: "The Clarified Artistic License"'
+depends=('perl')
+source=(http://www.maplefish.com/todd/$pkgname-$pkgver.tar.gz)
+md5sums=('ef6178d35978625a5cd00663740d63cc')
+
+build() {
+ cd ${srcdir}/$pkgname-$pkgver
+ ./configure --prefix=/usr --sysconfdir=/etc
+ make
+}
+
+package() {
+ cd ${srcdir}/$pkgname-$pkgver
+ make DESTDIR=${pkgdir} install
+#License
+ install -D -m644 COPYING ${pkgdir}/usr/share/licenses/$pkgname/COPYING || return 1
+}